/* Recipes */


/* page */

* {
    -moz-box-sizing: border-box;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    border: 0;
    outline: 0;
    font-size: 100%;
    vertical-align: baseline;
    background: transparent;
}

body {
    background: var(--lightblue) !important;
    word-wrap: break-word;
    font-family: 'Sora', sans-serif !important;
    font-weight: 400 !important;
    color: var(--primary) !important;
    line-height: 1.6 !important;
    font-display: swap !important;
    font-size: 16px !important;
}


/* flexbox */

@media (min-width: 768px) {

    .col-0 {
        flex: 0;
    }

    .col-1 {
        flex: 1;
    }

    .col-2 {
        flex: 2;
    }

    .col-3 {
        flex: 3;
    }

    .col-4 {
        flex: 4;
    }

    .col-5 {
        flex: 5;
    }

    .col-6 {
        flex: 6;
    }

    .col-7 {
        flex: 7;
    }

    .col-8 {
        flex: 8;
    }

    .col-9 {
        flex: 9;
    }

    .col-10 {
        flex: 10;
    }

    .col-11 {
        flex: 11;
    }

    .col-12 {
        flex: 12;
    }

}


/* colors */

:root {
    --white: #ffffff;
    --primary: #040606;
    --secondary: #f76a4a;
    --lightblue: #fcf7f3;
    --grey: #A0A1A3;
    /*    --primary: #383834;*/
    /*    --secondary: #fef2e5;*/
    /*    --lightblue: #f7f9fc;*/
}

::selection {
    color: var(--primary);
    background: var(--secondary);
}

::-moz-selection {
    color: var(--primary);
    background: var(--secondary);
}


/* spacings */

:root {
    --grid-gap: 30px;
    --m1: 8px;
    --m2: 16px;
    --m3: 24px;
    --m4: 32px;
    --m5: 48px;
    --m6: 64px;
    --m7: 96px;
}

@media (max-width: 1024px) {

    :root {
        --grid-gap: 15px;
    }
}


/* fluid spacings */

@media screen and (max-width: 575px) {

    :root {
        --m5: 32px;
        --m6: 40px;
        --m7: 56px;
    }
}

@media screen and (min-width: 576px) {

    :root {
        --m5: calc(32px + 16 * ((100vw - 576px) / 1424));
        --m6: calc(40px + 24 * ((100vw - 576px) / 1424));
        --m7: calc(56px + 40 * ((100vw - 576px) / 1424));
    }
}

@media screen and (min-width: 2000px) {

    :root {
        --m5: 48px;
        --m6: 64px;
        --m7: 96px;
    }

}

.mb-5 {
    margin-bottom: var(--m5) !important;
}


/* typography */

h1,
h2 {
    font-family: 'Sora', sans-serif !important;
    font-weight: 700 !important;
    color: var(--primary) !important;
    line-height: 1.3 !important;
    font-display: swap !important;
}

h1 {
    margin-bottom: var(--m6) !important;
}

h2 {
    font-size: 22px !important;
    margin-bottom: 0 !important;
}

p {
    font-family: 'Sora', sans-serif !important;
    font-weight: 400 !important;
    color: var(--primary) !important;
    line-height: 1.6 !important;
    font-display: swap !important;
    font-size: 16px !important;
}

.display h1 span {
    background-color: var(--secondary);
    padding: var(--m1) var(--m2);
    border-radius: var(--m2);
    margin-right: 4px;
    color: var(--white) !important;
}

p:last-child {
    margin-bottom: 0px;
}


/* fluid typography */

@media screen and (max-width: 375px) {

    .display h1 {
        font-size: 44px !important;
    }

    h2 {
        font-size: 18px !important;
    }
}

@media screen and (min-width: 376px) {

    .display h1 {
        font-size: calc(44px + 36 * ((100vw - 376px) / 1624)) !important;
    }

    h2 {
        font-size: calc(18px + 4 * ((100vw - 376px) / 1624)) !important;
    }
}

@media screen and (min-width: 2000px) {

    .display h1 {
        font-size: 80px !important;
    }

    h2 {
        font-size: 22px !important;
    }
}


/* container */

.site-header,
.entry-header,
#ast-mobile-header,
.post-navigation,
.site-footer {
    display: none !important;
}

.elementor-element-populated {
    padding: 0px 15px !important;
    margin: 0px !important;
}

.elementor-element-populated .elementor-element-populated {
    padding: 0 !important;
}

.elementor-column {
    min-height: unset !important;
}

.elementor-widget:not(:last-child) {
    margin-bottom: 0;
}

section {
    padding: var(--m7) 0px;
}


/* a */

p a,
a {
    color: var(--primary) !important;
}

p a:hover,
p a:active,
p a:focus,
a:hover,
a:active,
a:focus {
    text-decoration: underline;
}


/* misc */

.center {
    text-align: center;
}


/* card */

.cards .ue_post_grid_item {
    background-color: var(--white);
    box-shadow: 0px 6px 24px rgba(0, 0, 0, 0.04);
    border-radius: var(--m2) !important;
    padding: var(--m6) var(--m3) !important;
    text-align: center;
    pointer-events: none;
}

.cards .ue_post_grid_item .uc_content_inner {
    justify-content: center;
}

.cards .ue_post_grid {
    display: grid !important;
    grid-template-columns: repeat(3, minmax(0, 1fr)) !important;
    grid-gap: var(--grid-gap) !important;
}

@media (max-width: 991px) {

    .cards .ue_post_grid {
        grid-template-columns: repeat(2, minmax(0, 1fr)) !important;
    }
}

@media (max-width: 575px) {

    .cards .ue_post_grid {
        grid-template-columns: repeat(1, minmax(0, 1fr)) !important;
    }
}


/* search */

.search .uc-search-filter {
    width: clamp(300px, 100%, 450px) !important;
    max-width: unset !important;
}

.search input {
    height: 56px;
    border: 2px solid var(--primary);
    border-radius: 28px;
    font-weight: 700 !important;
    color: var(--primary) !important;
    padding: 4px 24px 4px 48px !important;
    line-height: 2.3 !important;
    background-color: transparent !important;
    -moz-appearance: none;
    -webkit-appearance: none;
    appearance: none;
}

.search .uc-search-filter-input-wrapper:before {
    content: '';
    width: 24px;
    height: 24px;
    position: absolute;
    top: 15px;
    margin-left: 16px;
    pointer-events: none;
    background-image: url("data:image/svg+xml,%3Csvg version='1.1' xmlns='http://www.w3.org/2000/svg' xmlns:xlink='http://www.w3.org/1999/xlink' x='0px' y='0px' width='24px' height='24px' viewBox='0 0 24 24' enable-background='new 0 0 24 24' xml:space='preserve'%3E%3Cpath fill='none' stroke='%23383834' stroke-width='2' stroke-linecap='round' stroke-linejoin='round' d='M11,3c4.42,0,8,3.58,8,8 s-3.58,8-8,8s-8-3.58-8-8S6.58,3,11,3z M21,21l-4.35-4.35' /%3E%3C/svg%3E");
}

.search input:focus {
    border: 2px solid var(--primary);
}

.search input::-webkit-input-placeholder {
    color: var(--grey) !important;
}

.search input:-ms-input-placeholder {
    color: var(--grey) !important;
}

.search input::placeholder {
    color: var(--grey) !important;
}